{
	"format_version": "1.10.0",
	"particle_effect": {
		"description": {
			"identifier": "agp:sandstorm",
			"basic_render_parameters": {
				"material": "particles_blend",
				"texture": "textures/blocks/wool_colored_white"
			}
		},
		"components": {
			"minecraft:emitter_rate_steady": {
				"spawn_rate": 600,
				"max_particles": 601
			},
			"minecraft:emitter_lifetime_looping": {
				"active_time": 1
			},
			"minecraft:emitter_shape_box": {
				"offset": [
					0,
					43,
					0
				],
				"half_dimensions": [
					100,
					43,
					200
				],
				"direction": "outwards"
			},
			"minecraft:particle_lifetime_expression": {
				"max_lifetime": 6
			},
			"minecraft:particle_initial_speed": 0,
			"minecraft:particle_motion_dynamic": {
				"linear_acceleration": [
					-2,
					0.08,
					0.3
				]
			},
			"minecraft:particle_appearance_billboard": {
				"size": [
					12,
					12
				],
				"facing_camera_mode": "rotate_xyz",
				"uv": {
					"texture_width": 128,
					"texture_height": 128,
					"uv": [
						8,
						8
					],
					"uv_size": [
						128,
						128
					]
				}
			},
			"minecraft:particle_appearance_tinting": {
				"color": [
					0.80784,
					0.75294,
					0.59216,
					0.25098
				]
			}
		}
	}
}